Grant bucket permission
Grants a user access to a bucket with the specified permission level (read, read-write, or admin).
Authorization
OAuth2 upl:bucket:manageAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:bucket:manage
Header Parameters
Connect-Protocol-Version?number
Define the version of the Connect protocol
Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?&
Reference to the bucket
accountId?string
Account (user) ID, a decimal integer.
Length
1 <= length <= 64permissionLevel?string
Permission level to grant enum.defined_only = true
Value in
"BUCKET_PERMISSION_LEVEL_UNSPECIFIED" | "BUCKET_PERMISSION_LEVEL_READ" | "BUCKET_PERMISSION_LEVEL_READ_WRITE" | "BUCKET_PERMISSION_LEVEL_ADMIN"[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketsService/GrantBucketPermission" \ -H "Connect-Protocol-Version: 1" \ -H "Connect-Timeout-Ms: 1000" \ -H "Content-Type: application/json" \ -d '{}'{
"permission": {
"account": {
"id": "string",
"username": "string"
},
"permissionLevel": "BUCKET_PERMISSION_LEVEL_UNSPECIFIED"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}